MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026454Open CASCADE[OCCT] OCCT:Visualizationpublic2015-07-17 11:042015-10-23 20:50
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformMacOSOSOS VersionX
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026454: Visualization, TKOpenGl - do not require deprecated function of GL_ARB_vertex_type_2_10_10_10_rev in core profile
DescriptionThis extension introduces a set of functions (like glVertexP2ui) that has no meaning in OpenGL 3.3+ Core Profile. OpenGl_Context erroneously loads these functions and might limit functionality if them can not be found which is actually happen on OS X.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024838closedbugmaster Visualization, TKOpenGl - make general rendering path compatible with OpenGL 3.1+ core profiles 

-  Notes
(0043147)
git (administrator)
2015-07-17 11:09

Branch CR26454 has been created by kgv.

SHA-1: 2136c60eee1cd2a0c58fea7f84646668ac30bcad


Detailed log of new commits:

Author: kgv
Date: Fri Jul 17 11:17:45 2015 +0300

    0026454: Visualization, TKOpenGl - do not require deprecated function of GL_ARB_vertex_type_2_10_10_10_rev in core profile
(0043148)
kgv (developer)
2015-07-17 11:10

Please test the patch.
(0043243)
apv (tester)
2015-07-21 17:52

Dear BugMaster,

Branch CR26454 from occt git-repository (and IR-2015-07-09 from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: 2136c60eee1cd2a0c58fea7f84646668ac30bcad

Number of compiler warnings:
occt component:
   Linux: 24 (24 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 37 (37 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 96882177 / 96610712 [+0.28%]
Total CPU difference: 17443.29999999991 / 17396.729999999727 [+0.27%]

Testing on Windows:
Total MEMORY difference: 57137625 / 56522499 [+1.09%]
Total CPU difference: 16173.934078398901 / 15973.363592698928 [+1.26%]
(0043535)
git (administrator)
2015-07-27 13:39

Branch CR26454 has been deleted by kgv.

SHA-1: 2136c60eee1cd2a0c58fea7f84646668ac30bcad

- Related Changesets
occt: master 0e628baf
Timestamp: 2015-07-17 08:17:45
Author: kgv
Committer: bugmaster
Details ] Diff ]
0026454: Visualization, TKOpenGl - do not require deprecated function of GL_ARB_vertex_type_2_10_10_10_rev in core profile
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlCore33.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-17 11:04 kgv New Issue
2015-07-17 11:04 kgv Assigned To => kgv
2015-07-17 11:09 git Note Added: 0043147
2015-07-17 11:10 kgv Note Added: 0043148
2015-07-17 11:10 kgv Assigned To kgv => san
2015-07-17 11:10 kgv Severity minor => trivial
2015-07-17 11:10 kgv Status new => resolved
2015-07-17 11:10 kgv Assigned To san => bugmaster
2015-07-17 11:10 kgv Status resolved => reviewed
2015-07-17 11:11 kgv Relationship added child of 0024838
2015-07-17 17:20 apv Assigned To bugmaster => apv
2015-07-21 17:50 apv Test case number => Not needed
2015-07-21 17:52 apv Note Added: 0043243
2015-07-21 17:52 apv Assigned To apv => bugmaster
2015-07-21 17:52 apv Status reviewed => tested
2015-07-23 11:55 bugmaster Changeset attached => occt master 0e628baf
2015-07-23 11:55 bugmaster Status tested => verified
2015-07-23 11:55 bugmaster Resolution open => fixed
2015-07-27 13:39 git Note Added: 0043535
2015-08-26 11:00 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:50 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker